* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  font-size: 62.5%;
  font-family: "Segoe UI";
}

.container {
  margin: 1rem 2rem;
  padding: 0.5rem 0.5rem;
  width: 500px;
  max-height: 220px; /* Updated to max-height instead of fixed height */
  border: 0.1rem solid black;
  border-radius: 0.5rem;
  overflow: auto;
}

.input-todo {
  display: flex;
}

.input-todo .input-text {
  flex-grow: 2;
  margin-right: 0.4rem;
}

.input-text {
  box-shadow: 0.1rem 0.1rem 0.01rem #888888;
}

.input-todo .input-date {
  flex-grow: 1;
  margin-right: 0.4rem;
}

.input-date {
  box-shadow: 0.1rem 0.1rem 0.01rem #888888;
}

.input-todo button {
  flex-grow: 1;
  margin-right: 1rem;
}

.btn-add {
  border: 0.1rem solid black;
  padding: 0.5rem 0;
  border-radius: 0.8rem;
}

.btn-add:hover {
  background: red;
  color: white;
}

.header {
  font-size: 3rem;
  margin-bottom: 2rem;
}

.todo-item label {
  font-size: 1.5rem;
}

.todo-item input {
  accent-color: gray;
}

.btn-delete {
  border: none;
  padding: 0.3rem;
}

.btn-delete:hover {
  background: #e0e0e0;
}

:checked + label {
  color: green;
  font-weight: bold;
}

.todo-list {
  gap: 1;
  margin: 1rem;
  /* Updated to use flexbox */
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  flex-wrap: wrap;
}
